Skip to main content
POST
/
people
/
search
cURL
curl --request POST \
  --url https://api.firmable.com/people/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "companyId": "<string>",
  "selectedCountry": "<string>",
  "position": "<string>",
  "seniority": "<string>",
  "department": "<string>",
  "from": "<string>",
  "size": "<string>"
}
'
[
  {
    "person_id": "f000000117274",
    "position": "Software Engineer",
    "company_name": "Senior",
    "linkedin": "person_slug",
    "has_email": true,
    "has_personal_email": true,
    "has_phone": true,
    "has_dnd_phone": true,
    "has_mobile": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.firmable.com/llms.txt

Use this file to discover all available pages before exploring further.

Description

Search for people by company id, position, seniority, and department. Please pass ids for seniority and department as listed below.

Acceptable seniority and department ids

Seniority:

  • 1: Board Member / Company Director
  • 2: Owner / Founder
  • 3: C-Suite / Partner
  • 4: VP/Director / Head of
  • 5: Manager
  • 6: Other
  • 7: No Data Available

Department:

  • 1: General Management
  • 2: Sales
  • 3: Trades
  • 4: Operations
  • 5: Engineering & Technical
  • 6: Human Resources
  • 7: Customer Service
  • 8: Medicine & Healthcare
  • 9: Research & Analysis
  • 10: Legal
  • 11: Marketing
  • 12: Education & Training
  • 13: Consulting
  • 14: Finance
  • 15: Product
  • 16: Other
  • 17: No Data Available

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
companyId
string
required

The unique identifier for a company in the Firmable system. (example: f000000117274)

selectedCountry
string

The country to search against. (example: AU)

position
string

The position of the person. (example: Software Engineer)

seniority
string

The seniority of the person. (example: Senior)

department
string

The department of the person. (example: Engineering)

from
string

The offset to start the search from. (example: 0)

size
string

The size of the search results. (example: 10)

Response

People search response

person_id
string

The Firmable ID of the person.

Example:

"f000000117274"

position
string

The position of the person.

Example:

"Software Engineer"

company_name
string

The name of the company the person works for.

Example:

"Senior"

linkedin
string

LinkedIn profile handle.

Example:

"person_slug"

has_email
boolean

Whether the person has an email address.

Example:

true

has_personal_email
boolean

Whether the person has a personal email address.

Example:

true

has_phone
boolean

Whether the person has a phone number.

Example:

true

has_dnd_phone
boolean

Whether the person number is a DND number.

Example:

true

has_mobile
boolean

Whether the person has a mobile number.

Example:

true